# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "dioxus-server"
version = "0.8.0-alpha.0"
authors = [
    "Jonathan Kelley",
    "Evan Almloff",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Fullstack utilities for Dioxus: Build fullstack web, desktop, and mobile apps with a single codebase."
homepage = "https://dioxuslabs.com"
readme = "README.md"
keywords = [
    "web",
    "desktop",
    "mobile",
    "gui",
    "server",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/DioxusLabs/dioxus/"
resolver = "2"

[package.metadata.docs.rs]
cargo-args = [
    "-Zunstable-options",
    "-Zrustdoc-scrape-examples",
]
features = [
    "axum",
    "web",
    "aws-lc-rs",
]

[features]
axum-no-default = []
default = [
    "router",
    "document",
]
default-tls = []
document = []
rkyv = ["dep:rkyv"]
router = ["dep:dioxus-router"]
rustls = [
    "dep:rustls",
    "dep:hyper-rustls",
]
server = []

[lib]
name = "dioxus_server"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1.0.98"

[dependencies.async-trait]
version = "0.1.89"

[dependencies.axum]
version = "0.8.4"
features = [
    "multipart",
    "ws",
    "json",
    "form",
    "tokio",
    "http1",
    "http2",
    "macros",
]
default-features = false

[dependencies.base64]
version = "0.22.1"

[dependencies.bytes]
version = "1.10.1"
features = ["serde"]

[dependencies.chrono]
version = "0.4.39"

[dependencies.ciborium]
version = "0.2.2"

[dependencies.dashmap]
version = "6.1.0"

[dependencies.dioxus-cli-config]
version = "0.8.0-alpha.0"

[dependencies.dioxus-core]
version = "0.8.0-alpha.0"

[dependencies.dioxus-core-macro]
version = "0.8.0-alpha.0"

[dependencies.dioxus-devtools]
version = "0.8.0-alpha.0"
features = ["serve"]

[dependencies.dioxus-document]
version = "0.8.0-alpha.0"
default-features = false

[dependencies.dioxus-fullstack-core]
version = "0.8.0-alpha.0"
features = ["server"]
default-features = false

[dependencies.dioxus-history]
version = "0.8.0-alpha.0"
default-features = false

[dependencies.dioxus-hooks]
version = "0.8.0-alpha.0"

[dependencies.dioxus-html]
version = "0.8.0-alpha.0"
default-features = false

[dependencies.dioxus-interpreter-js]
version = "0.8.0-alpha.0"

[dependencies.dioxus-logger]
version = "0.8.0-alpha.0"

[dependencies.dioxus-router]
version = "0.8.0-alpha.0"
features = ["streaming"]
optional = true

[dependencies.dioxus-signals]
version = "0.8.0-alpha.0"

[dependencies.dioxus-ssr]
version = "0.8.0-alpha.0"
default-features = false

[dependencies.enumset]
version = "1.1.6"

[dependencies.futures]
version = "0.3.32"

[dependencies.futures-channel]
version = "0.3.32"

[dependencies.futures-util]
version = "0.3.32"
default-features = false

[dependencies.generational-box]
version = "0.8.0-alpha.0"

[dependencies.http]
version = "1.3.1"

[dependencies.http-body-util]
version = "0.1.3"

[dependencies.hyper]
version = "1.6.0"

[dependencies.hyper-rustls]
version = "0.27.7"
features = [
    "native-tokio",
    "http1",
    "http2",
    "tls12",
    "logging",
    "ring",
]
optional = true
default-features = false

[dependencies.hyper-util]
version = "0.1.12"
features = ["full"]

[dependencies.inventory]
version = "0.3"

[dependencies.lru]
version = "0.16.0"

[dependencies.multer]
version = "3.1.0"
optional = true

[dependencies.parking_lot]
version = "0.12.4"
features = ["send_guard"]

[dependencies.pin-project]
version = "1.1.10"

[dependencies.rkyv]
version = "0.8"
optional = true
default-features = true

[dependencies.rustc-hash]
version = "2.1.1"

[dependencies.rustls]
version = "0.23.28"
features = [
    "logging",
    "std",
    "tls12",
    "ring",
]
optional = true
default-features = false

[dependencies.serde]
version = "1.0.228"

[dependencies.serde_json]
version = "1.0.140"

[dependencies.serde_qs]
version = "0.15.0"

[dependencies.subsecond]
version = "0.8.0-alpha.0"

[dependencies.thiserror]
version = "2.0.18"

[dependencies.tokio-tungstenite]
version = "0.28.0"

[dependencies.tokio-util]
version = "0.7.15"
features = ["rt"]

[dependencies.tower]
version = "0.5.2"
features = ["util"]

[dependencies.tower-http]
version = "0.6.8"
features = ["fs"]

[dependencies.tower-layer]
version = "0.3.3"
optional = true

[dependencies.tracing]
version = "0.1.41"

[dependencies.tracing-futures]
version = "0.2.5"

[dependencies.url]
version = "2.5.7"

[dependencies.walkdir]
version = "2.5.0"

[target.'cfg(not(target_arch = "wasm32"))'.dependencies.tokio]
version = "1.48"
features = [
    "rt",
    "sync",
    "rt-multi-thread",
    "macros",
    "net",
]

[target.'cfg(target_arch = "wasm32")'.dependencies.tokio]
version = "1.48"
features = [
    "rt",
    "sync",
    "macros",
]
optional = true
